### Class

# WebKit2WebExtension DOMCharacterData

#### Description

    class WebKit2WebExtension.DOMCharacterData : WebKit2WebExtension.DOMNode {
      parent_instance: WebKitDOMNode
    }

No description available.

#### Ancestors

- WebKitDOMNode
- WebKitDOMObject
- GObject

#### Descendants

- WebKitDOMComment
- WebKitDOMProcessingInstruction
- WebKitDOMText

#### Implements

- WebKitDOMEventTarget

#### Instance methods

###### webkit_dom_character_data_append_data

No description available.

Deprecated since: 2.22

###### webkit_dom_character_data_delete_data

No description available.

Deprecated since: 2.22

###### webkit_dom_character_data_get_data

No description available.

Deprecated since: 2.22

###### webkit_dom_character_data_get_length

No description available.

Deprecated since: 2.22

###### webkit_dom_character_data_insert_data

No description available.

Deprecated since: 2.22

###### webkit_dom_character_data_replace_data

No description available.

Deprecated since: 2.22

###### webkit_dom_character_data_set_data

No description available.

Deprecated since: 2.22

###### webkit_dom_character_data_substring_data

No description available.

Deprecated since: 2.22

##### Methods inherited from WebKitDOMNode (35)

Please see WebKitDOMNode for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitDOMEventTarget (5)

###### webkit_dom_event_target_add_event_listener

No description available.

Deprecated since: 2.22

###### webkit_dom_event_target_add_event_listener_with_closure

Version of `webkit_dom_event_target_add_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

Deprecated since: 2.22

###### webkit_dom_event_target_dispatch_event

No description available.

Deprecated since: 2.22

###### webkit_dom_event_target_remove_event_listener

No description available.

Deprecated since: 2.22

###### webkit_dom_event_target_remove_event_listener_with_closure

Version of `webkit_dom_event_target_remove_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

Deprecated since: 2.22

#### Properties

###### WebKit2WebExtension.DOMCharacterData:data

No description available.

###### WebKit2WebExtension.DOMCharacterData:length

No description available.

##### Properties inherited from WebKitDOMNode (13)

###### WebKit2WebExtension.DOMNode:base-uri

No description available.

###### WebKit2WebExtension.DOMNode:child-nodes

No description available.

###### WebKit2WebExtension.DOMNode:first-child

No description available.

###### WebKit2WebExtension.DOMNode:last-child

No description available.

###### WebKit2WebExtension.DOMNode:next-sibling

No description available.

###### WebKit2WebExtension.DOMNode:node-name

No description available.

###### WebKit2WebExtension.DOMNode:node-type

No description available.

###### WebKit2WebExtension.DOMNode:node-value

No description available.

###### WebKit2WebExtension.DOMNode:owner-document

No description available.

###### WebKit2WebExtension.DOMNode:parent-element

No description available.

###### WebKit2WebExtension.DOMNode:parent-node

No description available.

###### WebKit2WebExtension.DOMNode:previous-sibling

No description available.

###### WebKit2WebExtension.DOMNode:text-content

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMCharacterDataClass {
      WebKitDOMNodeClass parent_class;

    }

###### Class members

`parent_class` |
    WebKitDOMNodeClass
| No description available.